Delete capacity claim
curl --request DELETE \
--url https://api.coreweave.com/v1alpha1/inference/capacityclaims/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coreweave.com/v1alpha1/inference/capacityclaims/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coreweave.com/v1alpha1/inference/capacityclaims/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capacityClaim": {
"spec": {
"id": "<string>",
"name": "<string>",
"resources": {
"instanceId": "<string>",
"instanceCount": 123,
"zones": [
"<string>"
]
},
"organizationId": "<string>"
},
"status": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"conditions": [
{
"type": "<string>",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"reason": "<string>",
"message": "<string>",
"zone": "<string>"
}
],
"allocatedInstances": 123,
"pendingInstances": 123
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Delete capacity claim
Delete a CoreWeave CapacityClaim by its UUID.
DELETE
/
v1alpha1
/
inference
/
capacityclaims
/
{id}
Delete capacity claim
- The API server is
https://api.coreweave.com. - Replace
{API_ACCESS_TOKEN}with your CoreWeave API access token. - For required permissions, see IAM Access Policies.
Example request
curl -X DELETE https://api.coreweave.com/v1alpha1/inference/capacityclaims/{id} \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {API_ACCESS_TOKEN}"
Authorizations
CoreWeave API access token sent as a bearer token.
Path Parameters
The unique identifier of the CapacityClaim to delete, UUID format
Response
OK
Response for DeleteCapacityClaim
The deleted CapacityClaim
Show child attributes
Show child attributes
Last modified on July 13, 2026
Was this page helpful?
⌘I